readcontrolCode {arrayQuality} | R Documentation

## Control status information

### Description

This component reads spot type information from a tab delimited text file to a matrix.

### Usage

    readcontrolCode(file = "SpotTypes.txt", path = NULL, sep = "\t", check.names = FALSE, controlId=c("ID", "Name"), ...)

### Arguments

`file` | Character string giving the name of the file specifying the spot types.
`path` | Character string giving the directory containing the file. Can be omitted if the file is in the current working directory.
`sep` | the field separator character.
`check.names` | Logical, if 'FALSE' column names will not be converted to valid variable names, for example spaces in column names will not be left as is.
`controlId` | Character string. Name of the column of the gpr file used to define controls.
`...` | additional arguments

### Value

A 2 column matrix named controlCode.

### Author(s)

Jean Yee Hwa Yang, Agnes Paquet

[Package arrayQuality version 1.8.0 Index]